Bug 670322 - certmonger can't be rebuild in mock
certmonger can't be rebuild in mock
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: certmonger (Show other bugs)
5.6
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-17 16:32 EST by Levente Farkas
Modified: 2011-07-21 03:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: certmonger-0.34-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 03:26:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2011-01-17 16:32:23 EST
because make check always hang forever at:

make check
 \_ /bin/sh ./run-tests.sh 001-keyiread 002-keygen 003-csrgen 004-selfsign 005-dbusm 006-serial
  \_ /bin/sh -e ./run.sh /tmp/runtestsb20584
   \_ expect -f /tmp/runtestsb20584/expect-script
    \_ certutil -d /tmp/runtestsb20584 -N
Comment 1 Nalin Dahyabhai 2011-01-17 18:56:26 EST
For whatever reason certutil is really aggressive about trying to talk to the controlling terminal that mock inherits from its invoking user, and I haven't figured out a way around it yet.  Builds in koji don't run into this.
Comment 2 Nalin Dahyabhai 2011-02-14 18:26:37 EST
Apparently I spoke too soon, as builds have started breaking even in koji.  Luckily, certutil seems to provide options that can allow the tests to run certutil non-interactively, so this should all be fixed in 0.35.
Comment 10 Jenny Galipeau 2011-05-17 15:56:24 EDT
Verified

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.7 Beta (Tikanga)

1) installed mock from epel
2) mock config file used ..

<snip>
# cat /etc/mock/jenny.cfg 
config_opts['plugin_conf']['ccache_enable'] = False
config_opts['root'] = 'epel-5-x86_64'
config_opts['target_arch'] = 'x86_64'
config_opts['chroot_setup_cmd'] = 'install buildsys-build'
config_opts['dist'] = 'el5'  # only useful for --resultdir variable subst

config_opts['yum.conf'] = """
[main]
cachedir=/var/cache/yum
debuglevel=1
logfile=/var/log/yum.log
reposdir=/dev/null
retries=20
obsoletes=1
gpgcheck=0
assumeyes=1
# grub/syslinux on x86_64 need glibc-devel.i386 which pulls in glibc.i386, need to exclude all
# .i?86 packages except these.
exclude=[1-9A-Za-fh-z]*.i?86 g[0-9A-Za-km-z]*.i?86 gl[0-9A-Za-hj-z]*.i?86 gli[0-9A-Zac-z]*.i?86 glib[0-9A-Za-bd-z]*.i?86
# repos

[core]
name=base
mirrorlist=http://mirrorlist.centos.org/?release=5&arch=x86_64&repo=os
enabled=0

[update]
name=updates
mirrorlist=http://mirrorlist.centos.org/?release=5&arch=x86_64&repo=updates
enabled=0

[groups]
name=groups
baseurl=http://buildsys.fedoraproject.org/buildgroups/rhel5/x86_64/

[extras]
name=epel
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-5&arch=x86_64
enabled=0

[testing]
name=epel-testing
enabled=0
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=testing-epel5&arch=x86_64

[local]
name=local
baseurl=http://kojipkgs.fedoraproject.org/repos/dist-5E-epel-build/latest/x86_64/
cost=2000
enabled=0

[rhel]
name=rhel
baseurl=http://download.lab.bos.redhat.com/brewroot/repos/dist-5E-build/latest/x86_64/
"""
</snip>

3) downloaded src rpm from brew
4) mock -r jenny certmonger-0.42-1.el5.src.rpm


INFO: mock.py version 1.0.7 starting...
State Changed: init plugins
State Changed: start
INFO: Start(certmonger-0.42-1.el5.src.rpm)  Config(epel-5-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.7
INFO: Mock Version: 1.0.7
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(certmonger-0.42-1.el5.src.rpm) Config(jenny) 3 minutes 38 seconds
INFO: Results and/or logs in: /var/lib/mock/epel-5-x86_64/result

# ls /var/lib/mock/epel-5-x86_64/result/
build.log  certmonger-0.42-1.el5.src.rpm  certmonger-0.42-1.el5.x86_64.rpm  certmonger-debuginfo-0.42-1.el5.x86_64.rpm  root.log  state.log
Comment 11 errata-xmlrpc 2011-07-21 03:26:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1002.html

Note You need to log in before you can comment on or make changes to this bug.